# Interface methods for submodule: KappaSigmaThresholdImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: KappaSigmaThresholdImageFilter
class KappaSigmaThresholdImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def GetThreshold(self) -> float:
		""""""
		...

	@overload
	def GetThreshold(self) -> int:
		""""""
		...

	def SetMaskValue(self, _arg: int) -> None:
		""""""
		...

	def GetMaskValue(self) -> int:
		""""""
		...

	def SetSigmaFactor(self, _arg: float) -> None:
		""""""
		...

	def GetSigmaFactor(self) -> float:
		""""""
		...

	def SetNumberOfIterations(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> int:
		""""""
		...

	def SetMaskImage(self, input) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

